<script setup lang="ts">
defineProps<{ msg: string }>()

const count = ref(0)
</script>

<template>
  <h1>{{ msg }}</h1>
  <div class="p-4">
    <div class="flex justify-center gap-2">
      <NButton type="primary" @click="count++">
        count is {{ count }}
      </NButton>
      <NButton type="primary" @click="toggleDark">
        <template #icon>
          <i class="i-carbon-sun dark:i-carbon-moon"></i>
        </template>
      </NButton>
    </div>
    <p>
      Edit
      <code>components/HelloWorld.vue</code> to test HMR
    </p>
  </div>
  <p>
    Install
    <a href="https://github.com/vuejs/language-tools" target="_blank">Volar</a>
    in your IDE for a better DX
  </p>
  <p class="color-#888">
    Click on the Nuxt logo to learn more
  </p>
</template>
